Reconnect connection
POST
/connection/{id}/reconnect
Path Parameters
idstring
required·
Resource id
Request Body
redirect_uristring
Response Body
connect_urlstring
connectionobject
connector_slugstring
created_atstring · date-time
idstring
last_errorstring,null
namestring
owner_user_idstring
saffron_account_idstring,null
scopestring
Possible values:
userteamorg
statusstring
team_idstring,null
updated_atstring · date-time
curl -X POST 'https://api.elaichi.ai/connection/<id>/reconnect' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"redirect_uri":"your_redirect_uri"}'const body = {
"redirect_uri": "your_redirect_uri"
};
const response = await fetch('https://api.elaichi.ai/connection/<id>/reconnect', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/connection/<id>/reconnect"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {
"redirect_uri": "your_redirect_uri"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())